BLAKE2b_Info Struct Reference

BLAKE2b hash information. More...

Inheritance diagram for BLAKE2b_Info:

## Public Types

typedef VariableKeyLength< 64, 0, 64, 1, SimpleKeyingInterface::NOT_RESYNCHRONIZABLE > | KeyBase

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from VariableKeyLength< 64, 0, 64, 1, SimpleKeyingInterface::NOT_RESYNCHRONIZABLE >
static size_t | StaticGetValidKeyLength (size_t keylength)
| Provides a valid key length for the algorithm provided by a static function. More...

## Static Public Attributes

static const int | MIN_KEYLENGTH = KeyBase::MIN_KEYLENGTH
static const int | MAX_KEYLENGTH = KeyBase::MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH = KeyBase::DEFAULT_KEYLENGTH
static const int | BLOCKSIZE = 128
static const int | DIGESTSIZE = 64
static const int | SALTSIZE = 16
static const int | PERSONALIZATIONSIZE = 16
Static Public Attributes inherited from VariableKeyLength< 64, 0, 64, 1, SimpleKeyingInterface::NOT_RESYNCHRONIZABLE >
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | KEYLENGTH_MULTIPLE
| The key length multiple used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default initialization vector length for the algorithm provided as a constant. More...

## Detailed Description

BLAKE2b hash information.

Since
  Crypto++ 5.6.4

Definition at line 44 of file blake2.h.

The documentation for this struct was generated from the following file:

- blake2.h